# variables: 
#   PROJECT: .csproj file name to build
.dotnet_framework_build:
  tags: 
  - windows
  - docker
  image: 
    name: mcr.microsoft.com/dotnet/framework/sdk:4.8
    entrypoint: ["powershell"]
  stage: build
  script:
    - nuget install Microsoft.Data.Tools.Msbuild -Version 10.0.61804.210
    - nuget install MSBuild.Microsoft.VisualStudio.Web.targets -Version 14.0.0.3
    - |
      Invoke-WebRequest -Uri "https://download.microsoft.com/download/6/E/4/6E406E38-0A01-4DD1-B85E-6CA7CF79C8F7/EN/x64/DacFramework.msi" -OutFile DacFramework.msi ; `
      Start-Process msiexec.exe -ArgumentList '/i', 'DacFramework.msi', '/quiet', '/norestart' -NoNewWindow -Wait; `
      Remove-Item -Force DacFramework.msi
    - nuget restore
    - MSBuild.exe (Get-ChildItem -Recurse -Include $env:PROJECT".csproj" | %{$_.FullName}) /p:VSToolsPath=$PWD\\MSBuild.Microsoft.VisualStudio.Web.targets.14.0.0.3\\tools\\VSToolsPath\\ /p:SQLDBExtensionsRefPath=$PWD\\Microsoft.Data.Tools.Msbuild.10.0.61804.210\\lib\\net46    /p:SqlServerRedistPath=$PWD\\Microsoft.Data.Tools.Msbuild.10.0.61804.210\\lib\\net46 /p:RunTest=false /property:Configuration=Release /p:OutputPath=$PWD\\Publish\\$env:PROJECT
  artifacts:
    untracked: false
    expire_in: "1 days"
    name: $PROJECT
    paths:
      - "Publish\\$env:PROJECT\\"